:root {
  scroll-behavior: smooth;
  --background-color: #DFE0DB;
  --brand-color: #498086;
  --light-accent: #88A39B;
  --dark-accent: #5c7B76;
  --contrast-color: #7D3736;

}

.gwendolyn-regular {
  font-family: "Gwendolyn", cursive;
  font-weight: 400;
  font-style: normal;
}

.gwendolyn-bold {
  font-family: "Gwendolyn", cursive;
  font-weight: 700;
  font-style: normal;
}

.skewLeft {
  transform: skewY(11deg);
}

.skewRight {
  transform: skewY(-11deg);
}

.divider {
  width: 80%;
  height: 2px;
  border-bottom: 1px solid var(--brand-color);
}

.hidden {
  display: none;
}


body {
  font-family: sans-serif;
  background-color: var(--dark-accent);
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.container {
  width: 80%;
  margin: 0 auto;
  background-color: var(--background-color);
  padding: 2.5%;
}

header {
  width: 100%;
}

header > .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

nav > ul {
  list-style-type: none;
  display: flex;
  gap: 15px;
}

nav > ul > li > a {
  text-decoration: none;
}

nav > ul > li > a:hover {
  color: var(--dark-accent);
}

#menuNav {
  position: fixed;
  width: 20%;
  max-width: 150px;
  background: #dfe0dbd0;
  padding: 10px;
  border-radius: 25px;
  bottom: 10%;
  left: 6.5%;
}

#mobileNav{
  position: absolute;
  top: 7.5%;
  right: 10%;
  background: #dfe0db;
  width: 20%;
  max-width: 150px;
  padding: 10px;
  border-radius: 25px;
}

#hero {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10%;
  color: var(--background-color);
  text-shadow: 0 0 10px #000;
}


#hero > .container {
  min-height: 50dvh;
  background: url('/assets/hero4.jpg'), #ffffff15;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
  background-blend-mode: lighten;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2.5%;
  padding-top: 5%;
  padding-bottom: 5%;
}

.titles {
  position: relative;
}

.titles > h1 {
  font-size: 4.5em;
  text-wrap: pretty;
  margin-top: 2.5%;
  margin-bottom: 2.5%;
}

.subtitles {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

.subtitles > p {
  margin: 0;
  font-weight: 600;
}

.subtitles > p:nth-of-type(1) {
  font-size: 1.75em;
  font-weight: 700;
}

#heroKanji {
  width:150px;
  position: absolute;
  top: -25%;
  left: -25%;
}

#contact {
  width: 100%;
  min-height: 25dvh;
}

#contact > .container {
  background-color: var(--light-accent);
}

#contact > .container > div:nth-of-type(1) {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 15%;
}

.number,
.address,
.hours {
  color: var(--background-color);
  display: flex;
  flex-direction: column;
  gap: 0;
  justify-content: stretch;
  align-items: center;
}

.number > p,
.address > p {
  margin: 0;
}

.phone {
  font-size: 1.25em;
  letter-spacing: 10%;
}

.phone,
.address > a {
  text-decoration: none;
  text-align: center;
  color: var(--background-color);
}

.phone:hover,
.address > a:hover {
  transform: scale(1.25);
}

.hours > p {
  text-transform: uppercase;
}

#menu {
  width: 100%;
}

#menu h2 {
  font-size: 4em;
  text-align: center;
  color: var(--brand-color);
  font-family: "Gwendolyn", cursive;
  font-weight: 800;
  font-style: normal;
  margin-top: 0;
}

.sectionTitle {
  font-size: 3.25em;
  margin-bottom: 10px;
  padding-bottom: 5px;
  color: var(--brand-color);
  font-family: "Gwendolyn", cursive;
  font-weight: 800;
  font-style: normal;
  border-bottom: 1px solid var(--brand-color);
}

.sectionSubtitle {
  font-size: .75em;
  font-weight: 400;
  color: var(--brand-color);
  font-family: sans-serif;
}

.inlineSectionSubtitle {
  font-size: .25em;
  font-weight: 400;
  color: var(--brand-color);
  font-family: sans-serif;
}

#americanPlatters {
  margin: 0 auto;
  grid-template-columns: repeat(1, 1fr);
}

#americanPlatters > .menuItem {
  grid-template-columns: repeat(6, 1fr);
  min-width: 80%;
}

.menuSection {
  margin: 0 auto;
  padding: 0;
  list-style-type: none;
  display: grid;
  grid-template-columns: repeat(3, minmax(400px, 1fr));
  justify-content: center;
  align-items: center;
  gap: 20px;
  border: 1px solid var(--light-accent);
  border-radius: 25px;
}

.menuItem {
  width: 400px;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 10px;
  justify-self: center;
  justify-content: space-evenly;
  align-items: center;
  background-color: var(--background-color);
  border-radius: 25px;
  text-align: center;
}

.menuItem > p:nth-of-type(2) {
  grid-column: span 2;
}
.menuItem > p:last-of-type {
  grid-column: span 5;
  margin-top: 0;
  font-size: 0.75em;
}

#americanPlatters > .menuItem > p:last-of-type {
  grid-column: auto;
  font-size: 1em;
}

.copyright {
  text-align: center;
  font-size: .75em;
}

.icon {
  background: #dfe0db75;
  fill: var(--brand-color);
  padding: 10px;
  width: 50px;
  height: 50px;
  border-radius: 25px;
  cursor: pointer;
}

.sidebarBtn {
  position: fixed;
  bottom: 10%;
  left: 2.5%;
}


.sidebar{
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 7.5px;
}

nav > ul > li > a {
  color: var(--brand-color);
  text-decoration: none;
}

.callBtn {
  position: fixed;
  bottom: 10%;
  right: 2.5%;
}

.spicy {
  width: 15px;
  height: 15px;
  fill: #7D3736;
}

.spicyBlurb {
  width: 100%;
  font-size: .75em;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5px;
  grid-column: span 3;
}

.spicyBlurb > div:nth-of-type(1) {
  display: flex;
  justify-content: center;
  align-items: center;
}

.spicyBlurb p {
  margin: 0;
}

@media screen and (width <= 1553px) {
  .menuKey3 {
    display: none;
  }
  .menuSection {
    grid-template-columns: repeat(2, 1fr);
  }
  .spicyBlurb {
    grid-column: span 2;
  }
}
@media screen and (width <= 1027px) {
  .menuKey2 {
    display: none;
  }
  .menuSection {
    display: flex;
    flex-wrap: wrap;
  }
  .spicyBlurb {
    grid-column: span 1;
  }
}

/* Suggested Breakpoints */

/* Large screens */
@media (max-width: 1536px) { }

/* Desktops */
@media (max-width: 1280px) { 
}

@media (width > 1024px) {
  #mobileNav, .mobileNavBtn {
    display: none;
  } 
}

/* Small laptops / large tablets */
@media (max-width: 1024px) {
  #mainNav {
    display: none;
  }
  .titles {
    width: 70%;
    text-align: center;
  }
  #heroKanji {
    left: -20%;
  }
  
}

/* Tablets */
@media (max-width: 896px) { 
  #heroKanji {
    left: -10%;
  }
}

@media (max-width: 768px) { 
  #heroKanji {
    left: -25%;
  }
}

/* Mobile (large phones) */
@media (max-width: 650px) {
  #heroKanji {
    left: -10%;
  }
}

/* Mobile (small phones) */
@media (max-width: 480px) {
  .titles {
    width: 60%;
    text-align: end;
  }
  #heroKanji {
    left: -10%;
  }
}

